POST api/monthly_review_dashboard/{tenantId}/{monthyear}/ask?brandId={brandId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| tenantId | string |
Required |
|
| monthyear | string |
Required |
|
| brandId | integer |
None. |
Body Parameters
MonthlyReviewAskRequest| Name | Description | Type | Additional information |
|---|---|---|---|
| question | string |
None. |
|
| dashboard_json | Collection of Object |
None. |
|
| conversation | Collection of MonthlyReviewAskMessage |
None. |
Request Formats
application/json, text/json
Sample:
{
"question": "sample string 1",
"dashboard_json": null,
"conversation": [
{
"role": "sample string 1",
"text": "sample string 2"
},
{
"role": "sample string 1",
"text": "sample string 2"
}
]
}
application/xml
Sample:
Sample not available.
text/xml
Sample:
Sample not available.
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.